petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexHasLabel

Determine whether the mesh has a label of a given name

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexHasLabel(DM dm, const char name[], PetscBool *hasLabel)

Not Collective

### Input Parameters

| dm | - The DMPlex object
| name | - The label name

### Output Parameter

hasLabel -PETSC_TRUE if the label is present

### Keywords

mesh

### See Also

DMPlexCreateLabel(), DMPlexGetLabelValue(), DMPlexSetLabelValue(), DMPlexGetStratumIS()

Level:intermediate
Location:src/dm/impls/plex/plexlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html